TableRowElement (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.html
Class TableRowElement

    java.lang.Object
      com.bbn.openmap.util.html.WrapElement
          com.bbn.openmap.util.html.TableRowElement

All Implemented Interfaces:
  ContainerElement, Element

    public class TableRowElement

extends WrapElement
implements ContainerElement

This class implements an entire row of an html table

Field Summary

Fields inherited from class com.bbn.openmap.util.html.WrapElement
`e, paramString, wrapString`

Constructor Summary
`TableRowElement()` Construct an empty row

Method Summary
`void` | `addElement(Element ne)` Add a column to the row
`void` | `addElement(java.lang.String s)` Add a column to the row
`void` | `addElement(TableCellElement c)` Add a column to the row

Methods inherited from class com.bbn.openmap.util.html.WrapElement
`generate, getElement, setElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.util.html.Element
`generate`

Constructor Detail

### TableRowElement

    public TableRowElement()

  Construct an empty row

Method Detail

### addElement

    public void addElement(Element ne)

  Add a column to the row

  Specified by:
    `addElement` in interface `ContainerElement`
  Parameters:
    `ne` - add the element wrapped inside a TableDataElement
  See Also:
    `TableDataElement`

### addElement

    public void addElement(java.lang.String s)

  Add a column to the row

  Specified by:
    `addElement` in interface `ContainerElement`
  Parameters:
    `s` - add the element wrapped inside a TableDataElement
  See Also:
    `TableDataElement`

### addElement

    public void addElement(TableCellElement c)

  Add a column to the row

  Parameters:
    `c` - adds the cell to the row (doesn't wrap it)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details